## debian-reference 2.53

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
#######################################################################
### key adjustable parameters
#######################################################################
# base file name excluding file extension
MANUAL	:=	debian-reference
# languages translated with PO files
LANGPO	:=	ja fr it pt de
# languages to skip generation of PDF files (not used now)
NOPDF	:=	ja fr it pt de
# languages to build document
LANGALL	=	en $(LANGPO)

ifndef TMPDIR
TMPDIR	:= $(CURDIR)/tmp
endif

# Change $(DRAFTMODE) from "yes" to "maybe" when this document 
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DASC	:=	asciidoc
DPO	:=	po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# Program name and option
XLINT	:=	xmllint --format
XPNO	:=	xsltproc --novalid --nonet
XPINC	:=	xsltproc --novalid --nonet --xinclude
# The threshold should be 80 if translation is completed.
THRESHOLD:=	0
TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD) -v 
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
DBLATEX	:=	dblatex

# Debian packge archive URL
#DEBM	:=	http://ftp.us.debian.org/debian/dists
DEBM	:=	http://ftp.jp.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	http://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
UDEBB	:=	$(DEBM)/experimental

# cached data removed for package related to remotely fetched data
RCACHE	:=      all-popcon-results.txt packages.txt packages.bkup.txt pkg.lst
# AsciiDoc source file names in $(DASC) directories for local update
ASC_NM	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
		07_xwindow.txt 08_i18nl10n.txt 09_systips.txt 10_datamngt.txt \
		11_dataconv.txt 12_program.txt 99_appendix.txt \
		copyright.txt header1.txt header2.txt $(MANUAL).txt
# source asciidoc files (local asciidoc conversion script used for stability)
SRC_ASC :=	$(addprefix $(DASC)/, $(ASC_NM))
# source XML inclusion files (excluding common.ent)
ENT_STAT:=	datadatepop.ent datadatesize.ent popcon.ent pkgsize.ent
ENT_ALL	:=	$(ENT_STAT) common.ent
# source PO files for all languages (build prcess requires these)
SRC_PO	:=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
# source XML files for all languages (build prcess requires these)
SRC_XML	:=	$(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGALL)))

#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! which $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef

#######################################################################
# $ make all       # build all
#######################################################################
.PHONY: all
# set LANGPO to limit language to speed up build
all: css html txt epub 

#######################################################################
# $ make test      # build html for testing (for Translator)
#######################################################################
.PHONY: test
test: html css

#######################################################################
# $ make publish   # build html text from RAWXML/PO for DDP
#######################################################################
.PHONY: package
# $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
publish:
	-mkdir -p $(PUBLISHDIR)/$(MANUAL)
	$(MAKE) css html txt "TMPDIR=$(PUBLISHDIR)/$(MANUAL)"

#######################################################################
# $ make clean     # clean files ready for tar 
#######################################################################
.PHONY: clean
clean:
	-rm -f *.swp *~ *.tmp
	-rm -f $(DPO)/*~ $(DPO)/*.mo $(DPO)/*.po.*
	-rm -f $(DASC)/*~
	-rm -rf $(TMPDIR) $(CURDIR)/tmp
	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f $(MANUAL).en.xml $(MANUAL).en.xmlt header.txt
	-rm -f $(RCACHE)

#######################################################################
# $ make distclean # clean files to reset RAWXML/ENT/POT
#######################################################################
.PHONY: distclean
distclean: clean
	-rm -f $(MANUAL).raw.xml
	-rm -f $(ENT_ALL)
	-rm -f $(DPO)/*.pot
	-rm -f fuzzy.log

#######################################################################
# $ make rawxml    # update RAWXML from ASCIIDOC
#######################################################################
.PHONY: rawxml
rawxml: $(MANUAL).raw.xml

$(MANUAL).raw.xml: $(SRC_ASC)
	@$(call check-command, python, python)
	@$(call check-command, xmllint, xmllint)
	$(DBIN)/asciidoc -a 'newline=\n' -o - $(DASC)/$(MANUAL).txt |\
	sed -e "/<\/author>/r $(DASC)/copyright.txt" |\
	$(XLINT) -  |\
	sed -f $(DBIN)/replace > $(MANUAL).raw.xml

#######################################################################
# $ make entity    # update ENT and local cache data from RAWXML/REMOTE
#######################################################################
# This ensures not to run remote except by manually
$(ENT_STAT):
	@echo "******** You are missing ENTITY files *******"
	@echo "	$(ENT_STAT)"
	@echo "*********************************************"
	@echo " run \"make entity\""
	@echo "*********************************************"
	@false


common.ent: $(MANUAL).raw.xml
	# Release for package match with actual situation
	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  common.ent
	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
	echo "<!ENTITY codename-stable   \"wheezy\">"			>> common.ent
	echo "<!ENTITY Codename-stable   \"Wheezy\">"                  >> common.ent
	echo "<!ENTITY codename-testing  \"jessie\">"			>> common.ent
	echo "<!ENTITY Codename-testing  \"Jessie\">"                   >> common.ent
	echo "<!ENTITY codename-nexttesting  \"jessie+1\">"		>> common.ent
	echo "<!ENTITY Codename-nexttesting  \"Jessie+1\">"             >> common.ent
	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent

.PHONY: entity
entity: rawxml
	@$(call check-command, wget, wget)
	@$(call check-command, xsltproc, xsltproc)
	@$(call check-command, grep-dctrl, dctrl-tools)
	# PACKAGE (sid)
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.bz2      | bzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.bz2   | bzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.bz2  | bzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp
	cat packages.main packages.contrib packages.non-free >packages.txt
	#
	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"			>  datadatesize.ent
	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY non-free-packages \"$$(grep -e '^Package:' packages.non-free | wc -l)\">"	>> datadatesize.ent
	echo "<!ENTITY pkgsize-date \"$(shell date -u +'%F %T %Z')\">"					>> datadatesize.ent
	rm packages.main packages.contrib packages.non-free
	# PACKAGE (experimental)
	wget -O - $(UDEBB)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.bkup.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.bkup.tmp > packages.bkup.txt
	rm packages.bkup.tmp
	# PACKAGE LIST of packages mentioned in the source XML
	$(XPNO) $(DXSL)/pkg.xsl $(MANUAL).raw.xml > pkg.lst
	# ENT for package size
	sort pkg.lst | uniq | $(DBIN)/sizeent packages.txt packages.bkup.txt	> pkgsize.ent
	# POPCON
	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">" > datadatepop.ent
	echo "<!ENTITY pop-submissions \"$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  popcon.ent
	echo "<!ENTITY pop-architectures \"$$(grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">"			>> popcon.ent
	echo "<!ENTITY pop-packages \"$$(grep -e '^Package:' all-popcon-results.txt | wc -l)\">"				>> popcon.ent
	TOTAL=$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt) ;\
	grep -e '^Package:' all-popcon-results.txt | grep -f pkg.lst | $(DBIN)/popconent $$TOTAL				>> popcon.ent

#######################################################################
# $ make po        # update all PO from RAWXML
#######################################################################
.PHONY: po pot
pot: $(DPO)/templates.pot
po: $(SRC_PO)

# Do not record line number to avoid useless diff in po/*.po files: --no-location
# Do not update templates.pot if contents are the same as before; -I '^"POT-Creation-Date:'
$(DPO)/templates.pot: $(MANUAL).en.xmlt FORCE
	@$(call check-command, po4a-gettextize, po4a)
	@$(call check-command, msgcat, gettext)
	$(GETTEXT) -m $(MANUAL).en.xmlt | $(MSGCAT) --no-location -o $(DPO)/templates.pot.new -
	if diff -I '^"POT-Creation-Date:' -q $(DPO)/templates.pot $(DPO)/templates.pot.new ; then \
	  echo "Don't update templates.pot" ;\
	  touch $(DPO)/templates.pot ;\
	  rm -f $(DPO)/templates.pot.new ;\
	else \
	  echo "Update templates.pot" ;\
	  mv -f $(DPO)/templates.pot.new $(DPO)/templates.pot ;\
	fi
	: > fuzzy.log

# Always update
$(DPO)/%.po: $(DPO)/templates.pot FORCE
	@$(call check-command, msgmerge, gettext)
	$(UPDATEPO) $(DPO)/$*.po $(DPO)/templates.pot
	MESS1="no-obsolete  $*  `$(MSGATTR) --no-obsolete  $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
	MESS2="untranslated $*  `$(MSGATTR) --untranslated $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
	MESS3="fuzzy        $*  `$(MSGATTR) --fuzzy        $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
	echo "$$MESS1" >>fuzzy.log ; \
	echo "$$MESS2" >>fuzzy.log ; \
	echo "$$MESS3" >>fuzzy.log ; \
	echo "" >>fuzzy.log

FORCE:

#######################################################################
# $ make wrap       # wrap all PO
#######################################################################
.PHONY: wrap nowrap wip
wrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX $$XX ;\
	done
nowrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX --no-wrap $$XX ;\
	done

wip:
	@$(call check-command, msgattrib, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGATTR) -o $$XX.fuzz --fuzzy        $$XX ;\
	$(MSGATTR) -o $$XX.untr --untranslated $$XX ;\
	done

#######################################################################
# $ make xml       # update all *.XML from RAWXML/ENT/PO/ADD
#######################################################################
.PHONY: xml
xml: $(SRC_XML)

# Update URL list header from $(MANUAL).raw.xml
header.txt: $(DASC)/header1.txt $(MANUAL).raw.xml $(DASC)/header2.txt
	cat $(DASC)/header1.txt >  header.txt
	$(XPNO) $(DXSL)/urls.xsl $(MANUAL).raw.xml | sort | uniq |\
	sed -e "s/&/\&amp;/g"   >> header.txt
	cat $(DASC)/header2.txt >> header.txt

=== debian/changelog ===
debian-reference (2.53) unstable; urgency=medium

  * Fix file path inside of epub files.

 -- Osamu Aoki <osamu@debian.org>  Mon, 23 Dec 2013 01:05:58 +0900

debian-reference (2.52) unstable; urgency=medium

  * Fix regression of 2.51 by removing index.html in the old path
    properly.  Closes: #732737, #732773

 -- Osamu Aoki <osamu@debian.org>  Sun, 22 Dec 2013 00:40:07 +0900

debian-reference (2.51) unstable; urgency=low

  [ David Prévot ]
  * French translation proofread. Closes: #691747, #691748

  [ Osamu Aoki ]
  * Migration to the new GIT repo.
  * Update for fop since it is now in main.
  * Fix typo s/ifmeric/ifmetric/g.  Closes: #609238
  * Update for GNOME3. Closes: #650402
  * Add few tools such as calibre.  Closes: #691653
  * Update around the locale description.  Closes: #691748, #691752
  * Update Table 2.16. The usable characters.  Closes: #694167
  * Add tip to run newgrp after updating /etc/group.  Closes: #711635
  * Address netwok non-transparency of X using SHM.  Closes: #711638
  * Update for SysV init, systemd, upstart, etc. Closes: #711645
  * Update LVM dropping the old write barrier issue.  Closes: #713029
  * Update s/POSIX shell/POSIX-like shell/ and the zsh behavior.
    Closes: #715012
  * Add note on backup of the pseudo-filesystem.  Closes: #718875
  * Update description on /etc/hosts.  Closes: #719621, #724542
  * Update Makefile to avoid possible race.  Closes: #720720
  * Update apt-get / apt-cache vs. aptitude.  Closes: #721110
  * Update with multi-arch. Closes: #721251
  * Update for dpkg-deb supporting xz compression. Closes: #726825
  * Fix typo for ~/.bash_profile.  Closes: #729803
  * Update contents for Linux version 3.0, xz, ext4, extundelete, ext4magic, 
    obnam, git, GRUB2, ttf -> fonts 
  * Reorder and reindent contents for init, git, backup, obnam, rdiff-backup
  * Update compat to 9 and policy to 3.9.4.
  * Add keywords to .desktop.
  * Update build script to report number of fuzzy/untranslated translations.
  * Add German translation package.
  * Update translations. (ja, fr, it)  Closes: #708015, #732447
  * Add epub support. Closes: #652629
  * Move files used by /usr/bin/debian-reference from /usr/share/doc to
    /usr/share/debian-reference based on the Debian Policy 12.3.

  [Holger Wansing]
  * Translate to german and update English typos (Ch1-Ch5, Ch9, Ap).
    Closes: #696994, #720730, #726937, #731844, #732158

 -- Osamu Aoki <osamu@debian.org>  Thu, 19 Dec 2013 21:35:11 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 9.0)
Build-Depends-Indep: docbook-xml,
                     docbook-xsl,
                     libxml2-utils,
                     locales-all | locales,
                     po4a,
                     python,
                     w3m,
                     xsltproc,
                     zip
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/ddp/debian-reference.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=ddp/debian-reference.git
Homepage: http://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: mc, vim, w3m | www-browser, calibre
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: debian-reference-en, ${misc:Depends}
Recommends: debian-reference-fr,
            debian-reference-it,
            debian-reference-ja,
            debian-reference-pt
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-de
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The German translation.

Package: debian-reference-fr
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-it
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-pt
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-reference
## ----------------------------------------------------------------------


## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1
## comment out to build with the cleaner log (it slows!)
BUILDOPT:=	 --parallel

## ----------------------------------------------------------------------
# Package building language choice
#
MANUAL	:=	debian-reference
LANGALL	:=	en ja fr it pt de
LANGPO	:=	   ja fr it pt de

## ----------------------------------------------------------------------
## Targets

%:
	dh $@

override_dh_auto_build:
	# Generate files for debhelper in debian/
	cd $(CURDIR)/debian/ ; \
	cp all.preinst-in   $(MANUAL)-common.preinst ; \
	cp all.postinst-in  $(MANUAL)-common.postinst ; \
	for XX in $(LANGALL) ; do \
	  cp all.preinst-in   $(MANUAL)-$${XX}.preinst ; \
	  cp all.postinst-in  $(MANUAL)-$${XX}.postinst ; \
	  cp all.postrm-in    $(MANUAL)-$${XX}.postrm ; \
	  case $$XX in \
	    en) LANGX="English" ;;  \
	    de) LANGX="German" ;;   \
	    fr) LANGX="French" ;;   \
	    fi) LANGX="Finnish" ;;  \
	    es) LANGX="Spanish" ;;  \
	    it) LANGX="Italian" ;;  \
	    ja) LANGX="Japanese" ;; \
	    pl) LANGX="Polish" ;; \
	    pt) LANGX="Portuguese (Portugal)" ;; \
	    pt-br) LANGX="Portuguese (Brazil)" ;; \
	    zh-tw) LANGX="Chinese (Traditional)" ;; \
	    zh-cn) LANGX="Chinese (Simplified)" ;; \
	    *) LANGX="$$x" ;; \
	  esac ; \
	  sed  -e "s/@@/$$XX/" < all.links-in  >$(MANUAL)-$${XX}.links ; \
	  sed  -e "s/@@/$$XX/" < all.install-in  >$(MANUAL)-$${XX}.install ; \
	  sed  -e "s/@@/$$XX/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
	done
	dh_auto_build $(BUILDOPT) -- "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)" all

override_dh_auto_test:
	: # no need to test build html pages

override_dh_auto_clean:
	# Clean files for debhelper in debian/
	-rm -f $(MANUAL)-common.preinst  $(MANUAL)-common.postinst
	-rm -f $(addsuffix .preinst,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .links,    $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .install,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	$(MAKE) "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"  clean

## debian-reference 2.58

=== Makefile ===
--- 
+++ 
@@ -159,12 +159,12 @@
 	# Release for package match with actual situation
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  common.ent
 	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
-	echo "<!ENTITY codename-stable   \"wheezy\">"			>> common.ent
-	echo "<!ENTITY Codename-stable   \"Wheezy\">"                  >> common.ent
-	echo "<!ENTITY codename-testing  \"jessie\">"			>> common.ent
-	echo "<!ENTITY Codename-testing  \"Jessie\">"                   >> common.ent
-	echo "<!ENTITY codename-nexttesting  \"jessie+1\">"		>> common.ent
-	echo "<!ENTITY Codename-nexttesting  \"Jessie+1\">"             >> common.ent
+	echo "<!ENTITY codename-stable   \"jessie\">"			>> common.ent
+	echo "<!ENTITY Codename-stable   \"Jessie\">"                  >> common.ent
+	echo "<!ENTITY codename-testing  \"stretch\">"			>> common.ent
+	echo "<!ENTITY Codename-testing  \"Stretch\">"                   >> common.ent
+	echo "<!ENTITY codename-nexttesting  \"buster\">"		>> common.ent
+	echo "<!ENTITY Codename-nexttesting  \"Buster\">"		>> common.ent
 	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
 	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent
 
@@ -174,13 +174,13 @@
 	@$(call check-command, xsltproc, xsltproc)
 	@$(call check-command, grep-dctrl, dctrl-tools)
 	# PACKAGE (sid)
-	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.bz2      | bzcat - > packages.main.tmp
+	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.main.tmp
 	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
 	rm packages.main.tmp
-	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.bz2   | bzcat - > packages.contrib.tmp
+	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.xz   | xzcat - > packages.contrib.tmp
 	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
 	rm packages.contrib.tmp
-	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.bz2  | bzcat - > packages.non-free.tmp
+	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free.tmp
 	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
 	rm packages.non-free.tmp
 	cat packages.main packages.contrib packages.non-free >packages.txt

=== debian/changelog ===
debian-reference (2.58) unstable; urgency=medium

  * Set stable to jessie, testing to Stretch, and testing+1 to
    Buster. Closes: #771923

 -- Osamu Aoki <osamu@debian.org>  Thu, 04 Dec 2014 00:22:58 +0900

debian-reference (2.57) unstable; urgency=medium

  * Set stable release name to Stretch.
  * Fix confusing Alt-SysRq command. Closes: #769464
  * Drop non-existing aufs-modules-*. Closes: #769727
  * Update translation for all.  100% translated. Closes: #765843
  * Update cellphone optimized CSS to match maint-guide.

 -- Osamu Aoki <osamu@debian.org>  Sat, 29 Nov 2014 21:19:43 +0900

debian-reference (2.56) unstable; urgency=medium

  * Address systemd abd gTLD.
  * Update translations: ja, it, pt.
  * Update CSS for cell phone. Thanks, Stéphane Blondon.

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 Oct 2014 21:59:41 +0900

debian-reference (2.55) unstable; urgency=medium

  * Fix listing.  Closes: #764994
  * Typo fixes and rephrases by Holger Wansing (fixed in 2.54)
    but missed.  Closes: #733151, #736997, #737660, #738570,
    #750501, #756236
  * Update CSS matching other Debian pages.  Thanks, Stéphane 
    Blondon reporting #761611.

 -- Osamu Aoki <osamu@debian.org>  Tue, 14 Oct 2014 21:44:38 +0900

debian-reference (2.54) unstable; urgency=medium

  * Rephrase description of apt-get/apt-cache. Closes: #732956
  * Update contents
    + hal deprecation. Closes: #736617
    + update-manager-gnome deprecation. Closes: #747521
    + systemd as default init.
    + X changes with KMS and console-setup.
    + LibreOffice and other software changes. Closes: #742863
  * Update "make entity" (bz2->xz). Closes: #754362
  * Typo fixes and rephrases by Holger Wansing. 
    Closes: #753900, #754363, #755733

 -- Osamu Aoki <osamu@debian.org>  Wed, 08 Oct 2014 23:51:50 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                      w3m,
                      xsltproc,
                      zip
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/ddp/debian-reference.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=ddp/debian-reference.git
 Homepage: http://www.debian.org/doc/user-manuals#quick-reference

## debian-reference 2.58+6.0.1trisquel1

=== debian/changelog ===
debian-reference (2.58+6.0.1trisquel1) toutatis; urgency=low

  * Remove references to non-free repos #5950

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Apr 2015 12:53:19 +0000

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 9.0)
Build-Depends-Indep: docbook-xml,
                     docbook-xsl,
                     libxml2-utils,
                     locales-all | locales,
                     po4a,
                     python,
                     w3m,
                     xsltproc,
                     zip
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/ddp/debian-reference.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=ddp/debian-reference.git
Homepage: http://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: mc, vim, w3m | www-browser, calibre
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: debian-reference-en, ${misc:Depends}
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .

Package: debian-reference-en
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # Package building language choice
 #
 MANUAL	:=	debian-reference
-LANGALL	:=	en ja fr it pt de
+LANGALL	:=	en
 LANGPO	:=	   ja fr it pt de
 
 ## ----------------------------------------------------------------------

## debian-reference 2.58+8.0trisquel1

=== debian/changelog ===
debian-reference (2.58+8.0trisquel1) flidas; urgency=medium

  * Remove references to non-free repos #5950

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 20 Apr 2018 18:15:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debian-reference
 Section: doc
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 9.0)
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,

## debian-reference 2.59

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,9 @@
 # base file name excluding file extension
 MANUAL	:=	debian-reference
 # languages translated with PO files
-LANGPO	:=	ja fr it pt de
+LANGPO	:=	ja fr it pt de es
 # languages to skip generation of PDF files (not used now)
-NOPDF	:=	ja fr it pt de
+NOPDF	:=	ja fr it pt de es
 # languages to build document
 LANGALL	=	en $(LANGPO)
 
@@ -31,6 +31,12 @@
 DASC	:=	asciidoc
 DPO	:=	po
 DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images
+
+# work around https://bugs.debian.org/725931
+PERL_PERTURB_KEYS := 0
+export PERL_PERTURB_KEYS
+PERL_HASH_SEED := 0
+export PERL_HASH_SEE
 
 # Program name and option
 XLINT	:=	xmllint --format
@@ -276,7 +282,3 @@
 # Update URL list header from $(MANUAL).raw.xml
 header.txt: $(DASC)/header1.txt $(MANUAL).raw.xml $(DASC)/header2.txt
 	cat $(DASC)/header1.txt >  header.txt
-	$(XPNO) $(DXSL)/urls.xsl $(MANUAL).raw.xml | sort | uniq |\
-	sed -e "s/&/\&amp;/g"   >> header.txt
-	cat $(DASC)/header2.txt >> header.txt
-

=== debian/changelog ===
debian-reference (2.59) unstable; urgency=medium

  * Work around bug #725931 for po4a/perl 5.20.
  * Fix typos reported to BTS.  Closes: #771836, #773797, #775413,
    #795720
  * Add X selections.  Closes: #776382
  * Add apt-mark references.  Closes: #777139
  * Use /usr/share/doc/debian-reference-*/docs for doc-debian.
    Closes: #780692
  * Add warning for multi-segment initramfs. Closes: #790100
  * Update fsck upon boot for systemd.  Closes: #793322
  * Fix desktop file.  Closes: #812471
  * systemd releted updates.  Closes: #788671, #798487

 -- Osamu Aoki <osamu@debian.org>  Tue, 15 Mar 2016 00:42:50 +0900

## debian-reference 2.64

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,16 @@
 # base file name excluding file extension
 MANUAL	:=	debian-reference
 # languages translated with PO files
-LANGPO	:=	ja fr it pt de es
+# This can list more than debian/rules for translator to check the result
+LANGPO	:=	ja fr it pt de zh-cn zh-tw es 
 # languages to skip generation of PDF files (not used now)
 NOPDF	:=	ja fr it pt de es
 # languages to build document
 LANGALL	=	en $(LANGPO)
+
+# Chenge at the last moment (this package is part of web page)
+RELEASE_STATE = testing
+#RELEASE_STATE = stable
 
 ifndef TMPDIR
 TMPDIR	:= $(CURDIR)/tmp
@@ -140,12 +145,19 @@
 .PHONY: rawxml
 rawxml: $(MANUAL).raw.xml
 
+# This needs to be run under testing/unstable manually
 $(MANUAL).raw.xml: $(SRC_ASC)
 	@$(call check-command, python, python)
 	@$(call check-command, xmllint, xmllint)
+	echo "# This is autogenerated by Makefile.  Update this with \"make rawxml\""  >  $(DBIN)/replace_package
+	echo "s/@emacs@/$(shell apt-cache search -n '^emacs[0-9]+$$'|cut -d' ' -f1|grep -v -e '-'|sort -n|tail -1)/"  >>  $(DBIN)/replace_package
+	echo "s/@libpoppler@/$(shell apt-cache search -n '^libpoppler[0-9]+$$'|cut -d' ' -f1|sort -n|tail -1)/"       >> $(DBIN)/replace_package
+	echo "s/@libgstreamer@/$(shell apt-cache search -n '^libgstreamer[-.0-9]+$$'|cut -d' ' -f1|sort -n|tail -1)/"       >> $(DBIN)/replace_package
+	echo "s/@libphonon@/$(shell apt-cache search -n '^libphonon[-.0-9]+$$'|cut -d' ' -f1|sort -n|tail -1)/"       >> $(DBIN)/replace_package
 	$(DBIN)/asciidoc -a 'newline=\n' -o - $(DASC)/$(MANUAL).txt |\
 	sed -e "/<\/author>/r $(DASC)/copyright.txt" |\
 	$(XLINT) -  |\
+	sed -f $(DBIN)/replace_package |\
 	sed -f $(DBIN)/replace > $(MANUAL).raw.xml
 
 #######################################################################
@@ -165,12 +177,21 @@
 	# Release for package match with actual situation
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  common.ent
 	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
+ifeq ($(RELEASE_STATE),stable)
+	echo "<!ENTITY codename-stable  \"stretch\">"			>> common.ent
+	echo "<!ENTITY Codename-stable  \"Stretch\">"                   >> common.ent
+	echo "<!ENTITY codename-testing  \"buster\">"		>> common.ent
+	echo "<!ENTITY Codename-testing  \"Buster\">"		>> common.ent
+	echo "<!ENTITY codename-nexttesting  \"bullseye\">"		>> common.ent
+	echo "<!ENTITY Codename-nexttesting  \"Bullseye\">"		>> common.ent
+else
 	echo "<!ENTITY codename-stable   \"jessie\">"			>> common.ent
 	echo "<!ENTITY Codename-stable   \"Jessie\">"                  >> common.ent
 	echo "<!ENTITY codename-testing  \"stretch\">"			>> common.ent
 	echo "<!ENTITY Codename-testing  \"Stretch\">"                   >> common.ent
 	echo "<!ENTITY codename-nexttesting  \"buster\">"		>> common.ent
 	echo "<!ENTITY Codename-nexttesting  \"Buster\">"		>> common.ent
+endif
 	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
 	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent
 
@@ -242,43 +263,3 @@
 	@$(call check-command, msgmerge, gettext)
 	$(UPDATEPO) $(DPO)/$*.po $(DPO)/templates.pot
 	MESS1="no-obsolete  $*  `$(MSGATTR) --no-obsolete  $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
-	MESS2="untranslated $*  `$(MSGATTR) --untranslated $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
-	MESS3="fuzzy        $*  `$(MSGATTR) --fuzzy        $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
-	echo "$$MESS1" >>fuzzy.log ; \
-	echo "$$MESS2" >>fuzzy.log ; \
-	echo "$$MESS3" >>fuzzy.log ; \
-	echo "" >>fuzzy.log
-
-FORCE:
-
-#######################################################################
-# $ make wrap       # wrap all PO
-#######################################################################
-.PHONY: wrap nowrap wip
-wrap:
-	@$(call check-command, msgcat, gettext)
-	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
-	$(MSGCAT) -o $$XX $$XX ;\
-	done
-nowrap:
-	@$(call check-command, msgcat, gettext)
-	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
-	$(MSGCAT) -o $$XX --no-wrap $$XX ;\
-	done
-
-wip:
-	@$(call check-command, msgattrib, gettext)
-	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
-	$(MSGATTR) -o $$XX.fuzz --fuzzy        $$XX ;\
-	$(MSGATTR) -o $$XX.untr --untranslated $$XX ;\
-	done
-
-#######################################################################
-# $ make xml       # update all *.XML from RAWXML/ENT/PO/ADD
-#######################################################################
-.PHONY: xml
-xml: $(SRC_XML)
-
-# Update URL list header from $(MANUAL).raw.xml
-header.txt: $(DASC)/header1.txt $(MANUAL).raw.xml $(DASC)/header2.txt
-	cat $(DASC)/header1.txt >  header.txt

=== debian/changelog ===
debian-reference (2.64) unstable; urgency=medium

  * Update Portuguese and other translations. Closes: #852217

 -- Osamu Aoki <osamu@debian.org>  Mon, 23 Jan 2017 23:37:09 +0900

debian-reference (2.63) unstable; urgency=medium

  * Remove reference to ftp.XX.d.o.  Closes: #849002
  * Update makefile to wait for release.
  * Update translations.

 -- Osamu Aoki <osamu@debian.org>  Sat, 31 Dec 2016 18:12:17 +0900

debian-reference (2.62) unstable; urgency=medium

  * Use deb.debian.org as the archive site.
  * Fix maintainer scripts to start on #!.
    Closes: #843269, #843270, #843273, #843275, #843280, #843282,
    #843297, #843301, #843305

 -- Osamu Aoki <osamu@debian.org>  Mon, 05 Dec 2016 01:17:33 +0900

debian-reference (2.61) unstable; urgency=medium

  * Mention bash-completion.
  * Add pointer to installation guide.
  * Fix description for Chinese.  Closes:#839583

 -- Osamu Aoki <osamu@debian.org>  Mon, 17 Oct 2016 22:28:00 +0900

debian-reference (2.60) unstable; urgency=medium

  * Update aufs -> overlayfs.  Closes: #818270  
  * Mention debmake,debmake-doc.  Closes: #818274
  * Improve X configutration. Closes: #838876
  * Fix "ssh -p ...".  Closes: #836814
  * Add zh-cn and zh-tw packages.
  * Remove Debian menu since this comes with *.desktop.
  * Create /usr/share/debian-reference by debian-reference-common
    and point doc-base to there. Closes: #818249

 -- Osamu Aoki <osamu@debian.org>  Fri, 30 Sep 2016 23:09:53 +0900

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                      w3m,
                      xsltproc,
                      zip
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/ddp/debian-reference.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=ddp/debian-reference.git
-Homepage: http://www.debian.org/doc/user-manuals#quick-reference
+Standards-Version: 3.9.8
+Vcs-Git: https://alioth.debian.org/anonscm/git/ddp/debian-reference.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=ddp/debian-reference.git
+Homepage: https://www.debian.org/doc/user-manuals#quick-reference
 
 Package: debian-reference-common
 Architecture: all
@@ -31,11 +31,18 @@
 Package: debian-reference
 Architecture: all
 Depends: debian-reference-en, ${misc:Depends}
+Recommends: debian-reference-fr,
+            debian-reference-it,
+            debian-reference-ja,
+            debian-reference-pt,
+            debian-reference-zh-cn,
+            debian-reference-zh-tw
 Description: metapackage to install (all) translations of Debian Reference
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
  .
+ This installs all translations when "Recommends:" are installed.
 
 Package: debian-reference-en
 Architecture: all
@@ -48,3 +55,79 @@
  .
  The English original version.
 
+Package: debian-reference-de
+Architecture: all
+Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
+Suggests: debian-reference-en, doc-base
+Description: Debian system administration guide, German translation
+ This Debian Reference is intended to provide a broad overview of the Debian
+ system as a post-installation user's guide. It covers many aspects of system
+ administration through shell-command examples for non-developers.
+ .
+ The German translation.
+
+Package: debian-reference-fr
+Architecture: all
+Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
+Suggests: debian-reference-en, doc-base
+Description: Debian system administration guide, French translation
+ This Debian Reference is intended to provide a broad overview of the Debian
+ system as a post-installation user's guide. It covers many aspects of system
+ administration through shell-command examples for non-developers.
+ .
+ The French translation.
+
+Package: debian-reference-it
+Architecture: all
+Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
+Suggests: debian-reference-en, doc-base
+Description: Debian system administration guide, Italian translation
+ This Debian Reference is intended to provide a broad overview of the Debian
+ system as a post-installation user's guide. It covers many aspects of system
+ administration through shell-command examples for non-developers.
+ .
+ The Italian translation.
+
+Package: debian-reference-ja
+Architecture: all
+Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
+Suggests: debian-reference-en, doc-base
+Description: Debian system administration guide, Japanese translation
+ This Debian Reference is intended to provide a broad overview of the Debian
+ system as a post-installation user's guide. It covers many aspects of system
+ administration through shell-command examples for non-developers.
+ .
+ The Japanese translation.
+
+Package: debian-reference-pt
+Architecture: all
+Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
+Suggests: debian-reference-en, doc-base
+Description: Debian system administration guide, Portuguese translation
+ This Debian Reference is intended to provide a broad overview of the Debian
+ system as a post-installation user's guide. It covers many aspects of system
+ administration through shell-command examples for non-developers.
+ .
+ The Portuguese (Portugal) translation.
+
+Package: debian-reference-zh-cn
+Architecture: all
+Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
+Suggests: debian-reference-en, doc-base
+Description: Debian system administration guide, Chinese (Simplified) translation
+ This Debian Reference is intended to provide a broad overview of the Debian
+ system as a post-installation user's guide. It covers many aspects of system
+ administration through shell-command examples for non-developers.
+ .
+ The Chinese (Simplified) translation.
+
+Package: debian-reference-zh-tw
+Architecture: all
+Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
+Suggests: debian-reference-en, doc-base
+Description: Debian system administration guide, Chinese (Traditional) translation
+ This Debian Reference is intended to provide a broad overview of the Debian
+ system as a post-installation user's guide. It covers many aspects of system
+ administration through shell-command examples for non-developers.
+ .
+ The Chinese (Traditional) translation.

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,11 @@
 
 ## ----------------------------------------------------------------------
 # Package building language choice
+# (This should be updated with the maintainer approval)
 #
 MANUAL	:=	debian-reference
-LANGALL	:=	en
-LANGPO	:=	   ja fr it pt de
+LANGALL	:=	en ja fr it pt de zh-cn zh-tw
+LANGPO	:=	   ja fr it pt de zh-cn zh-tw
 
 ## ----------------------------------------------------------------------
 ## Targets
@@ -45,6 +46,7 @@
 	    pt-br) LANGX="Portuguese (Brazil)" ;; \
 	    zh-tw) LANGX="Chinese (Traditional)" ;; \
 	    zh-cn) LANGX="Chinese (Simplified)" ;; \
+	    id) LANGX="Bahasa Indonesia" ;; \
 	    *) LANGX="$$x" ;; \
 	  esac ; \
 	  sed  -e "s/@@/$$XX/" < all.links-in  >$(MANUAL)-$${XX}.links ; \

## debian-reference 2.65

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 LANGALL	=	en $(LANGPO)
 
 # Chenge at the last moment (this package is part of web page)
-RELEASE_STATE = testing
-#RELEASE_STATE = stable
+#RELEASE_STATE := testing
+RELEASE_STATE := stable
 
 ifndef TMPDIR
 TMPDIR	:= $(CURDIR)/tmp

=== debian/changelog ===
debian-reference (2.65) unstable; urgency=medium

  * Update Chinese and other translations.
  * Add Spanish as an additional translation. 
  * Update build script to RELEASE_STATE := stable.

 -- Osamu Aoki <osamu@debian.org>  Sun, 26 Feb 2017 12:28:29 +0900

=== debian/control ===
--- 
+++ 
@@ -131,3 +131,14 @@
  administration through shell-command examples for non-developers.
  .
  The Chinese (Traditional) translation.
+
+Package: debian-reference-es
+Architecture: all
+Depends: ${misc:Depends}, debian-reference-common (>= 2.51)
+Suggests: debian-reference-en, doc-base
+Description: Debian system administration guide, Spanish translation
+ This Debian Reference is intended to provide a broad overview of the Debian
+ system as a post-installation user's guide. It covers many aspects of system
+ administration through shell-command examples for non-developers.
+ .
+ The Spanish translation.

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # (This should be updated with the maintainer approval)
 #
 MANUAL	:=	debian-reference
-LANGALL	:=	en ja fr it pt de zh-cn zh-tw
-LANGPO	:=	   ja fr it pt de zh-cn zh-tw
+LANGALL	:=	en ja fr it pt de zh-cn zh-tw es
+LANGPO	:=	   ja fr it pt de zh-cn zh-tw es
 
 ## ----------------------------------------------------------------------
 ## Targets
